# GroovyDslBaseScriptModel

@Incubating
interface GroovyDslBaseScriptModel

This interface describes the Groovy DSL specific part of GradleDslBaseScriptModel.

#### Since

9.2.0

## Functions

getCompileClassPath
Link copied to clipboard
@Incubating
abstract fun getCompileClassPath(): List<File>
The compilation classpath for Groovy DSL scripts.
getImplicitImports
Link copied to clipboard
@Incubating
abstract fun getImplicitImports(): List<String>
The implicit imports that are added to all Groovy DSL scripts.